package com.supervision.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.mapper.RasaModelInfoMapper;
import com.supervision.model.RasaModelInfo;
import com.supervision.service.RasaModeService;
import org.springframework.stereotype.Service;

@Service
public class RasaModeServiceImpl extends ServiceImpl<RasaModelInfoMapper,RasaModelInfo> implements RasaModeService {

    @Override
    public RasaModelInfo queryByModelId(String modelId){

        LambdaQueryWrapper<RasaModelInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(RasaModelInfo::getModelId, modelId).last("LIMIT 1");

        return getOne(queryWrapper);
    }
}
